Bug 902707 - auto-creation of pkgwat.log
Summary: auto-creation of pkgwat.log
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgwat
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-22 10:14 UTC by Kamil Páral
Modified: 2013-03-09 19:13 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-19 21:26:08 UTC


Attachments (Terms of Use)

Description Kamil Páral 2013-01-22 10:14:40 UTC
Description of problem:
When I run pkgwat, it leaves its logs scattered throughout my filesystem (depending on the directory I was currently in when running the command). That might be fine for debugging purposes, but it is very annoying for standard usage.

Please either:
1. create the log just when run with --debug
2. use /var/log/foo
3. have a special option for creating the debug logs, off by default

Thanks.

Version-Release number of selected component (if applicable):
pkgwat-0.4-2.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. run pkgwat
2. pkgwat.log was created in CWD

Comment 1 Ralph Bean 2013-01-22 13:56:15 UTC
Updating to the latest python-cliff will fix the issue.

I am creating an update for it now.

Comment 2 Fedora Update System 2013-01-22 15:13:56 UTC
python-cliff-1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-cliff-1.3-1.fc18

Comment 3 Fedora Update System 2013-01-22 15:14:52 UTC
python-cliff-1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-cliff-1.3-1.el6

Comment 4 Fedora Update System 2013-03-08 23:57:51 UTC
python-cliff-1.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-03-09 19:13:00 UTC
python-cliff-1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.